### Method

# GUPnP ServiceProxy set_credentials

since: 1.6.4

#### Declaration [src]

    void
    gupnp_service_proxy_set_credentials (
      GUPnPServiceProxy* proxy,
      const char* user,
      const char* password
    )

#### Description [src]

Sets user and password for authentication.

Available since: 1.6.4

#### Parameters

`user`

  Type: `const char*`

  User name for authentication.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`password`

  Type: `const char*`

  User password for authentication.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.